# MIT License
# Copyright (c) 2023 sikino
# See LICENSE file in the project root for full license information.

import gc
import pandas as pd


def textout(fname: str, data: dict) -> None:
    df = pd.DataFrame(data)
    df.to_csv(fname, index=False, sep=" ")
    del df  # Delete dataframe
    gc.collect()  # Garbage Collection (Release memory)
    return None
